Subject: Re: [TR] Door seals on my TR4A

From: Geo Hahn <[email-masked]>
Date: Mon, 14 Oct 2013 07:46:14 -0700

When I first replaced the seals on my TR4 (using the original style, not
the TR6 seals) I had to really slam the door to get it fully closed.
Eventually they took a set that allowed easy closure -- like a refrigerator.

Sorry, I do not recall how long that took -- probably months but less than
a year.

Geo

On Mon, Oct 14, 2013 at 7:48 AM, Dave Connitt <[email-masked]> wrote:

> List,
> I have installed the rubber door seals that fit into the metal track and I
> can't get the doors closed all the way. I am considering removing that seal
> and going with the the other type of seal that slides over the flange
> around
> the door opening. I was wondering what type of door seal some of the other
> TR4/TR4A owners are using? I would think that eventually the seal I have
> would
> compress but I am suspicious of the fact that the seal I have may be larger
> than the original and will never compress enough to get the doors all the
> way
> closed. They are about 3/8" from completely closing.
> Thanks,
> Dave Connitt
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive

---

From: <[email-masked]>
Date: Mon, 14 Oct 2013 09:57:52 -0500

I am sure some "4" owners will respond but I had the same issue with my "3".
For the most part, after a few months the doors will 'settle' into the seals
as they compress.  However, my bottom door seal never got to where it
allowed the door to close without looking crooked so I took it off and cut
it back significantly, not worrying much as it is never seen.

You results may vary,
Bill

Bill Beecher
'58 TR3A TS/30766L "Tarbaby"
'62 TR3B TCF/2549L " Aunt B" (in rehab)
www.triumphowners.com/1566
'68 Land Rover Series IIa 88" "The Beast"
"Keep Calm and Carry On

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Dave Connitt
Sent: Monday, October 14, 2013 9:49 AM
To: [email-masked]
Subject: [TR] Door seals on my TR4A

List,
I have installed the rubber door seals that fit into the metal track and I
can't get the doors closed all the way. I am considering removing that seal
and going with the the other type of seal that slides over the flange around
the door opening. I was wondering what type of door seal some of the other
TR4/TR4A owners are using? I would think that eventually the seal I have
would compress but I am suspicious of the fact that the seal I have may be
larger than the original and will never compress enough to get the doors all
the way closed. They are about 3/8" from completely closing.
Thanks,
Dave Connitt

Archive: http://www.team.net/archive
http://autox.team.net/mailman/options/triumphs/[email-masked]

---

From: "John & Pat Donnelly" <[email-masked]>
Date: Mon, 14 Oct 2013 18:19:01 -0700

Dave,
I just put new door seals in my 4A (in the channels) and have to slam the
doors in order to get them to shut. After one week they seem to be loosening
a little. I seem to recall the last set took a few months.

If you go to the one piece design let us know how it turns out.

BTW my feet used to kick the seal out of it's track all the time when I
would get in or out of the car, which is why I replaced them. I made sure I
cleaned out the channels real well before installing the new one but I'm
afraid these will do the same thing as they were relatively easy to install.
If someone has a good idea to keep these in let us know.

Johnnie
'67 TR4A

> 
> List,
> I have installed the rubber door seals that fit into the metal track
> and I can't get the doors closed all the way. I am considering removing
> that seal and going with the the other type of seal that slides over
> the flange around the door opening. I was wondering what type of door
> seal some of the other TR4/TR4A owners are using? I would think that
> eventually the seal I have would compress but I am suspicious of the
> fact that the seal I have may be larger than the original and will
> never compress enough to get the doors all the way closed. They are
> about 3/8" from completely closing.
> Thanks,
> Dave Connitt

---

From: "Dave" <[email-masked]>
Date: Mon, 14 Oct 2013 21:00:24 -0500

try using this:  http://www.ranteer.com/davescars/datsun/DSCN8456.JPG